import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/sceneInfo/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/sceneInfo/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/sceneInfo/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/sceneInfo/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/sceneInfo/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/sceneInfo/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/sceneInfo/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function list(){
  return request.post(constant.serverUrl + "/base/sceneInfo/list");
}

export default {
  list,create,edit,add,update,remove,batchRemove,pageList
}